//
//  ViewController.m
//  collectionVIewRadio
//
//  Created by liyan on 16/11/24.
//  Copyright © 2016年 Liruo. All rights reserved.
//

#import "ViewController.h"
#import "RadioCollectionViewCell.h"
#import "singleModel.h"
#define KscrectWidth self.view.frame.size.width
#define kscrectHeigh self.view.frame.size.height
@interface ViewController ()<UICollectionViewDelegate, UICollectionViewDataSource>
@property (nonatomic, strong) UICollectionView * collectionView;
@property (nonatomic, strong) NSMutableArray * dataSource;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self downLoad];
    [self createUI];
   
    
}
- (void)downLoad
{
    NSString* plistfile1 = [[NSBundle mainBundle]pathForResource:@"dataList" ofType:@".plist"];
    NSMutableArray * array = [[NSMutableArray alloc]initWithContentsOfFile:plistfile1];
    //打印出字典里的数据
    for (NSDictionary * dict in array) {
        singleModel * model = [[singleModel alloc]init];
        model.title = dict[@"title"];
        model.selected = NO;
        [self.dataSource addObject:model];
    }
    
}

- (void)createUI
{
    UICollectionViewFlowLayout * flowLayout = [[UICollectionViewFlowLayout alloc] init];
    flowLayout.itemSize = CGSizeMake(KscrectWidth/3.0-20, KscrectWidth/3.0-20);
    flowLayout.sectionInset = UIEdgeInsetsMake(0, 20, 0, 20);
    flowLayout.minimumLineSpacing = 2;
    flowLayout.minimumInteritemSpacing = 2;
    self.collectionView = [[UICollectionView alloc] initWithFrame:CGRectMake(0, 50, KscrectWidth, kscrectHeigh-64-44) collectionViewLayout:flowLayout];
    self.collectionView.delegate = self;
    self.collectionView.dataSource = self;
    self.collectionView.backgroundColor = [UIColor whiteColor];
    [self.view addSubview:self.collectionView];
    
    [self.collectionView registerNib:[UINib nibWithNibName:@"RadioCollectionViewCell" bundle:nil] forCellWithReuseIdentifier:@"CellIde"];
}

- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{
    return self.dataSource.count;
}
- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    RadioCollectionViewCell * cell = [collectionView dequeueReusableCellWithReuseIdentifier:@"CellIde" forIndexPath:indexPath];
    if (cell == nil) {
        cell = [[RadioCollectionViewCell alloc] init];
    }
    singleModel * model = self.dataSource[indexPath.row];
    if (model.selected) {
        cell.selectButton.backgroundColor = [UIColor redColor];
    }else{
        cell.selectButton.backgroundColor = [UIColor clearColor];

    }
    
    [cell.selectButton setTitle:model.title forState:UIControlStateNormal];
    return cell;
}

- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath
{
    NSLog(@"当前选中行%ld", indexPath.row);
   
    for (singleModel * signerModel in self.dataSource) {
        signerModel.selected = NO;
    }
     singleModel * model = self.dataSource[indexPath.row];
     model.selected = YES;
    [self.collectionView reloadData];
}

- (NSMutableArray *)dataSource
{
    if (_dataSource == nil) {
        _dataSource = [[NSMutableArray alloc] init];
    }
    return _dataSource;
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
